Showing results for 
Search instead for 
Do you mean 
Reply
Solved! Go to solution

Displaying temporary info on a screen

Hello everyone!

 

When we receive information about entities in NX, it shows on a screen temporary information objects like numbers 1, 2 and 3 on the picture. Can we show such things on a screen using NX Open? I don't know how these temporary objects are called, that's why I can't commit search.

 

]

5 REPLIES

Re: Displaying temporary info on a screen

Yes.

Look up DisplayTemporaryText, DisplayTemporaryPoint, DisplayTemporaryLine, and DisplayTemporaryArc.

Solution
Solution
Accepted by topic author Scaffold
‎01-19-2016 10:28 AM

Re: Displaying temporary info on a screen

NXOpen.Display.TransientText

 

or

 

NXOpen.UF.UFDisp.DisplayTemporaryArc()

NXOpen.UF.UFDisp.DisplayTemporaryLine()

NXOpen.UF.UFDisp.DisplayTemporaryPoint()

NXOpen.UF.UFDisp.DisplayTemporaryText()

Re: Displaying temporary info on a screen

Thank you for suggestions!

Re: Displaying temporary info on a screen

[ Edited ]

Looked for the answer, but could not find it. Is it possible to visualise a direction with a temporary axis like this?

 

Re: Displaying temporary info on a screen

Try the .LabeledConehead method.

 

theUFSession.Disp.LabeledConehead(...)